
/**
 * Web唐明明
 * 匆匆数载恍如梦，岁月迢迢华发增。
 * 碌碌无为枉半生，一朝惊醒万事空。
 * moduleName: 企业
 */

import { request } from '../index'

// 企业注册配置信息
const createConfig = () => {
	return request({
		url: 'companies/inits/create'
	})
}

// 企业行业信息
const inits = data => {
	return request({
		url: 'companies/inits',
		method: 'POST',
		data
	})
}

// 企业认证配置信息
const appliesCreate = () => {
	return request({
		url: 'companies/applies/create'
	})
}

// 企业认证提交、编辑
const applies = (data,method) => {
	return request({
		url: 'companies/applies',
		method,
		data
	})
}

// 企业认证前置条件
const isallow = () => {
	return request({
		url: 'companies/applies/isallow',
		method: 'POST'
	})
}

// 企业申请状态
const appliesQuery = () => {
	return request({
		url: 'companies/applies/query'
	})
}

// 企业信息展示
const appliesInfo = () => {
	return request({
		url: 'companies/applies/edit'
	})
}

// 企业行业分类
const appliesCategory = data => {
	return request({
		url: 'companies/applies/category',
		data
	})
}

export {
	createConfig,
	inits,
	appliesCreate,
	applies,
	isallow,
	appliesQuery,
	appliesInfo,
	appliesCategory
}
